> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1api keys



## OpenAPI

````yaml https://backend.aflux.ai/openapi get /api/v1/api-keys
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/api-keys:
    get:
      tags:
        - api-keys
      operationId: apiKeysList
      parameters:
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/ApiKeyStatus'
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: cursor
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyPage'
        default:
          $ref: '#/components/responses/DefaultError'
      security:
        - Bearer: []
components:
  schemas:
    ApiKeyStatus:
      type: string
      enum:
        - ACTIVE
        - DISABLED
        - EXPIRED
    ApiKeyPage:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ApiKey'
        nextCursor:
          type: string
          nullable: true
    ApiKey:
      type: object
      required:
        - id
        - name
        - prefix
        - status
        - resetPeriod
        - currentUsage
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        prefix:
          type: string
        status:
          $ref: '#/components/schemas/ApiKeyStatus'
        creditLimit:
          $ref: '#/components/schemas/MoneyAmount'
          nullable: true
        resetPeriod:
          $ref: '#/components/schemas/ApiKeyResetPeriod'
        currentUsage:
          $ref: '#/components/schemas/MoneyAmount'
        expiresAt:
          type: string
          format: date-time
          nullable: true
        lastUsedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    MoneyAmount:
      type: string
      pattern: ^-?\d+(\.\d{1,6})?$
      example: '125.500000'
    ApiKeyResetPeriod:
      type: string
      enum:
        - NO_LIMIT
        - DAILY
        - WEEKLY
        - MONTHLY
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````